### Method

# EBook BookClient add_contact

since: 3.2

#### Declaration [src]

    void
    e_book_client_add_contact (
      EBookClient* client,
      EContact* contact,
      guint32 opflags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Adds `contact` to `client`. The call is finished by `e_book_client_add_contact_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_book_client_add_contact_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`contact`

  Type: `EContact`

  An `EContact`.

  The data is owned by the caller of the method.

`opflags`

  Type: `EBookOperationFlags`

  Bit-or of `EBookOperationFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.